_PTP_USB Struct Reference

## Data Fields

usb_dev_handle * | handle
int | interface
int | inep
int | inep_maxpacket
int | outep
int | outep_maxpacket
int | intep
int | callback_active
uint64_t | current_transfer_total
uint64_t | current_transfer_complete
LIBMTP_progressfunc_t | current_transfer_callback
void const * | current_transfer_callback_data
uint32_t | device_flags

## Field Documentation

int _PTP_USB::callback_active

File transfer callbacks and counters

uint32_t _PTP_USB::device_flags

Any special device flags, only used internally

Referenced by dump_usbinfo().

The documentation for this struct was generated from the following file:

- /home/jenkins/Optware-ng/buildroot-armeabi-ng/builds/libmtp/src/libusb-glue.h